Package org.apache.lucene.util.fst

# Class FST.BytesReader

java.lang.Object
org.apache.lucene.store.DataInput
org.apache.lucene.util.fst.FST.BytesReader

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  `FST<T>`

public abstract static class FST.BytesReader extends DataInput
Reads bytes stored in an FST.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BytesReader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract long`
  `getPosition()`
  Get current read position.
  `abstract void`
  `setPosition(long pos)`
  Set current read position.

  ### Methods inherited from class org.apache.lucene.store.DataInput

  `clone, readByte, readBytes, readBytes, readFloats, readGroupVInt, readInt, readInts, readLong, readLongs, readMapOfStrings, readSetOfStrings, readShort, readString, readVInt, readVLong, readZInt, readZLong, skipBytes`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BytesReader

    public BytesReader()

- ## Method Details

  - ### getPosition

    public abstract long getPosition()
    Get current read position.

  - ### setPosition

    public abstract void setPosition(long pos)
    Set current read position.